Bug 61579 - If highmem is deselected, kernel fails to compile unless max virtual memory is 2GB.
Summary: If highmem is deselected, kernel fails to compile unless max virtual memory i...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-21 21:41 UTC by Heather Conway
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 13:58:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:128 normal SHIPPED_LIVE Moderate: Updated kernel with information security fixes, bug fixes, and updated drivers 2002-06-25 04:00:00 UTC

Description Heather Conway 2002-03-21 21:41:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
On a system that is either newly installed or has had make mrproper run, when 
High Memory Support is deselected in the kernel and the Maximum Virtual Memory 
is left at the default of 3GB or changed to 1GB, then the kernel compilation 
will fail.  If the max vm is changed to 2GB, the compilation will complete.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run make mrproper 
2.Configure the kernel and deselect High Memory Support.
2.Leave Maximum Virtual Memory at the default of 3GB or change to 1GB.
3.Run make install and it will report an error in sched.c
4.If you reconfigure the kernel and change the max virtual memory to 1GB, 
you'll get the same failure, but if it is changed to 2GB, the compilation will 
complete successfully.
	

Actual Results:  If high mem and max VM == 3GB or 1GB, the kernel compilation 
will fail.  If the max VM is set to 2GB, the compilation will complete. 

Expected Results:  The kernel should compile regardless of what the value of 
max VM is.

Additional info:

Comment 1 Larry Woodman 2002-08-05 16:22:10 UTC
Fixed in AS2.1 errata kernel-2.4.9-e.8, released on 7/29.

Larry Woodman



Note You need to log in before you can comment on or make changes to this bug.